#!/usr/bin/env python3
# SPDX-License-Identifier: LGPL-2.1-or-later
# Copyright 2021 Jookia <contact@jookia.org>

import os
import sys

if __name__ == "__main__":
    src_dir = os.path.dirname(__file__)
    repo_dir = os.path.join(src_dir, "..")
    sys.path.append(repo_dir)

from src import log
from src import parse
from src import interp


def main():
    args = sys.argv
    if len(args) != 2:
        print("Usage: main.py FILENAME")
        return 1
    log.set_default_log_level()
    ast = parse.parse_file(args[1])
    if not ast:
        return 1
    interp.run_ast(ast)
    sys.exit(0)


if __name__ == "__main__":
    main()
